package com.pj.api.client.payment_server;

import com.pj.api.client.cfg.SpCfgInterfaceFallback;
import com.pj.api.dto.*;
import feign.hystrix.FallbackFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;


@Component
public class PaymentServerInterfaceFallback implements FallbackFactory<PaymentServerInterface> {

    private static final Logger log = LoggerFactory.getLogger(SpCfgInterfaceFallback.class);

    @Override
    public PaymentServerInterface create(Throwable throwable) {
        return new PaymentServerInterface() {


            @Override
            public void sendSXB010(PaymentDto paymentDto) {
                System.out.println(throwable.getMessage());
                log.error("调用银行扣款接口【SXB010】错误,当前对象:{},错误信息是:{}",paymentDto,throwable.getMessage());
            }

            @Override
            public void sendSXB013(PaymentDto paymentDto) {
                System.out.println(throwable.getMessage());
                log.error("调用银行退款接口【SXB013】错误,当前对象:{},错误信息是:{}",paymentDto,throwable.getMessage());
            }
        };
    }
}
